2006-09-11 Mikhail Khodjaiants
	Bug 156114: GDB options layout problem.
	Applied patch from Vladimir Prus (vladimir@codesourcery.com).
	* StandardGDBDebuggerPage.java

2006-04-16 Mikhail Khodjaiants
	Bug 113107: Make trace logs more readily available.
	* MIUIMessages.properties
	* StandardGDBDebuggerPage.java

2006-04-13 Mikhail Khodjaiants
	Bug 113107: Make trace logs more readily available.
	Implementation of the "Verbose Mode" action.
	* MANIFEST.MF
	* plugin.properties
	* plugin.xml
	+ VerboseModeActionDelegate.java
	+ icons/obj16/verbose_mode_co.gif

2006-04-11 Mikhail Khodjaiants
	Bug 119740: allow to specify only a subset of shared objects that we want symbols to be loaded for.
	Sort the shared library list.
	* SolibSearchPathBlock.java

2006-04-11 Mikhail Khodjaiants
	Bug 119740: allow to specify only a subset of shared objects that we want symbols to be loaded for.
	Use set instead of list when collecting the shared library names: different libraries can have same soname.
	* SolibSearchPathBlock.java

2006-04-11 Mikhail Khodjaiants
	Bug 119740: allow to specify only a subset of shared objects that we want symbols to be loaded for.
	Use soname instead of shared library name.
	* SolibSearchPathBlock.java

2006-04-10 Mikhail Khodjaiants
	Bug 119740: allow to specify only a subset of shared objects that we want symbols to be loaded for.
	* MANIFEST.MF
	* GDBDebuggerPage.java
	* MIUIMessages.properties
	* SolibSearchPathBlock.java
	* StandardGDBDebuggerPage.java
	- IPathProvider.java
	* MIUIUtils.java

2006-03-31 Mikhail Khodjaiants
	Replaced internal org.eclipse.cdt.debug.internal.ui.SWTUtil class.
	+ SWTUtil.java
	* ListDialogField.java
	* SelectionButtonDialogField.java
	* StringButtonDialogField.java

2006-03-01 Mikhail Khodjaiants
	Select the first available command factory when a new launch configuration is created.
	* StandardGDBDebuggerPage.java

2006-02-08 Mikhail Khodjaiants
	Bug 114793: Add an extension point to contribute command factories.
	GDBServerDebuggerPage should extend StandardGDBDebuggerPage.
	* GDBServerDebuggerPage.java
	
2006-02-06 Mikhail Khodjaiants
	Bug 114793: Add an extension point to contribute command factories.
	* MIUIMessages.properties
	+ StandardGDBDebuggerPage.java
	* plugin.xml

2006-02-03 Mikhail Khodjaiants
	The "ICDebuggerPage" interface and "AbstractCDebuggerPage" class are added.
	All extensions of the "CDebuggerPage" extension point must implement "ICDebuggerPage".
	* GDBDebuggerPage.java

2005-12-27 Mikhail Khodjaiants
	Cleanup.
	* MIUIPlugin.java

2005-12-27 Mikhail Khodjaiants
	Bug 109526: Support Eclipse-LazyStart and deprecate Eclipse-AutoStart.
	* MANIFEST.MF

2005-12-20 Mikhail Khodjaiants
	Bug 120390: Avoiding .gdbinit
	* GDBDebuggerPage.java

2005-09-06 Mikhail Khodjaiants
	Cleanup: replaced "new Boolean" by the static Boolean objects (Java 1.4).
	* GDBSolibBlock.java

2005-09-06 Mikhail Khodjaiants
	Bug 108636: mi level selection option should be moved to the gdb page.
	* MIUIMessages.properties
	* GDBDebuggerPage.java

2005-09-02 Mikhail Khodjaiants
	Bug 108723: Create a separate tab for gdb server's conection options.
	* GDBDebuggerPage.java
	* GDBServerDebuggerPage.java
	* MIUIMessages.properties
	* SerialPortSettingsBlock.java
	* TCPSettingsBlock.java
	* SolibSearchPathBlock.java

2005-07-22 Alain Magloire
	Fix the copyright.

2005-04-13 Alain Magloire
	Fix PR 91002
	* src/org/eclipse/cdt/debug/mi/internal/preferences/MIPreferencePage.java

2005-04-07 Mikhail Khodjaiants
	Removed unused icons.
	- icons/full/clcl16/auto_solib_co.gif
	- icons/full/dlcl16/auto_solib_co.gif
	- icons/full/elcl16/auto_solib_co.gif

2005-03-09 Mikhail Khodjaiants
	Fix for bug 87546: Obsolete debug MI settings in Preference need to be removed.
	* MIPreferencePage.java
	* PreferenceMessages.properties
	* OptionsPropertyPage.java
	* PropertyMessages.properties

2005-03-03 Mikhail Khodjaiants
	Conflicting methods.
	* SolibSearchPathBlock.java

2005-01-11 Mikhail Khodjaiants
	Replaced deprecated methods and constants.
	* MIPreferencePage.java

2005-01-11 Mikhail Khodjaiants
	Replaced deprecated methods and constants.
	* ListDialogField.java
	* SelectionButtonDialogField.java
	* StringButtonDialogField.java

2004-11-11 Mikhail Khodjaiants
	Fix for bug 75627: Incorrect limit to port numbers.
	* TCPSettingsBlock.java

2004-11-08 Mikhail Khodjaiants
	Added the "Automatically refresh registers" and "Automatically refresh shared libraries"
	preferences and properties.
	* ActionFilterAdapterFactory.java: new
	* GDBTargetActionFilter.java: new
	* PreferenceMessages.properties
	* MIPreferencePage.java
	* org.eclipse.cdt.debug.mi.internal.ui.propertypages: new package
	* PropertyMessages.properties
	* OptionsPropertyPage.java
	* PropertyMessages.java
	* plugin.properties
	* plugin.xml

2004-10-29 Alain Magloire
	Changes to the CDI interface
	* SeAutoSolibActionDelegate.java

2004-08-23 Mikhail Khodjaiants
	Added API to allow the access to the internal MI UI components by client plugins.
	Changed the "Solib search path" component.
	Reformatting and cleanup.
	* MIUIMessages.properties
	* CygwinDebuggerPage.java
	* GDBDebuggerPage.java
	* GDBServerDebuggerPage.java
	* GDBSolibBlock.java
	* IMIHelpContextIds.java
	* IMILaunchConfigurationComponent.java: new
	* IMIUIConstants.java
	* IPathProvider.java: new
	* MIUIUtils.java: new
	* PixelConverter.java
	* SerialPortSettingsBlock.java
	* SolibSearchPathBlock.java
	* TCPSettingsBlock.java
	* SetAutoSolibActionDelegate.java
	* MIPreferencePage.java

2004-07-14 Mikhail Khodjaiants
	Wrong fix. Falling back.
	* GDBSolibBlock.java

2004-07-14 Alain Magloire

	Wrong call the to the Button widget it should have been
	setSelection() not setEnabled()

	* src/org/eclipse/cdt/debug/mi/internal/ui/GDBSolibBlock.java

2004-07-02 Mikhail Khodjaiants
	Fix for bug 68934: Debug into dll doesn't work.
	The "solib-search-path" and "stop-on-solib-events" options are not supported by gdb on CygWin.
	Removed the "Shared Libraries" tab from the "Debugger" page of the laaunch configuration dialog
	for the "CygWin Debugger" type.
	* CygwinDebuggerPage.java

2004-06-22 Mikhail Khodjaiants
	Replaced global resource bundles by messages.

2004-06-21 Mikhail Khodjaiants
	Fix for bug 60872. Accessibility: Run/Debug configuration dialog has duplicate mnemonics.
	* MIUIMessages.properties
	* MIUIPluginResources.properties

2004-05-21 Mikhail Khodjaiants
	Removed dependencies on the compatibility plugin and replaced deprecated classes and methods.
	Warning cleanup.
	* GDBServerDebuggerPage.java
	* IMIUIConstants.java
	* MIUIPlugin.java
	* SerialPortSettingsBlock.java
	* TCPSettingsBlock.java
	* SelectionButtonDialogFieldGroup.java
	* plugin.xml

2004-04-29 Mikhail Khodjaiants
	Fix for bug 59083: Two short cut keys in one sentence.
	* MIUIPluginResources.properties

2004-03-11 Tanya Wolff
	Externalized strings and marked non translatable as such.
	* CygwinDebuggerPage.java
	* GDBDebuggerPage.java
	* GDBServerDebuggerPage.java
	* GDBSolibBlock.java
	* MIUIPlugin.java
	* SolibSearchPathBlock.java
	* TCPSettingsBlock.java
	* MIUIPluginResources.properties
	* SetAutoSolibActionDelegate.java
	* MIPreferencePage.java

2003-12-17 Mikhail Khodjaiants
	Fix for bug 49061: Different values are used as default for the "Load shared library symbols automatically" option.
	* GDBSolibBlock.java

2003-12-01 Mikhail Khodjaiants
	Fix for PR 47230: Need a shared library search path editing capability for GDBServerDebugger.
	Implemented 'GDBServerDebuggerPage' as an extension of 'GDBDebuggerPage'.
	Added two new control blocks - "TCP Connection" and "Serial Connection".
	* src/org/eclipse/cdt/debug/mi/internal/ui/GDBDebuggerPage.java
	* src/org/eclipse/cdt/debug/mi/internal/ui/GDBServerDebuggerPage.java
	* src/org/eclipse/cdt/debug/mi/internal/ui/SerialPortSettingsBlock.java: new
	* src/org/eclipse/cdt/debug/mi/internal/ui/TCPSettingsBlock.java: new

2003-11-26 Mikhail Khodjaiants
	Cleanup.
	* GDBServerDebuggerPage.java
	* ComboDialogField.java

2003-11-20 Mikhail Khodjaiants
	Removed dependencies on internal packages from other cdt plugins.
	* src/org/eclipse/cdt/debug/mi/internal/ui/PixelConverter.java: added
	* src/org/eclipse/cdt/debug/mi/internal/ui/SolibSearchPathBlock.java

2003-11-19 Mikhail Khodjaiants

	Fix for PR 45533: MIException while creating MISession can leave an orphan gdb process. 
	* src/org/eclipse/cdt/debug/mi/internal/ui/preferences/MIPreferencePage.java: 
	added a text field for the launch timeout. 

2003-11-06 Alain Magloire

	Patch from Ashish Karkare(TimeSys)
	*src/org/eclipse/cdt/debug/mi/internal/ui/GDBServerDebuggerPage.java
	Add a new Combo that  helps select a reasonable line speed, and storing
	the selected value as a configuration attribute.

2003-09-29 Mikhail Khodjaiants
	Improved the layout of the 'Shared Libraries' component.
	* SolibSearchPathBlock.java

2003-09-11 Mikhail Khodjaiants
	Moving the shared library search paths block to mi UI.
	* SolibSearchPathBlock.java: new
	* GDBSolibBlock.java

2003-09-11 Mikhail Khodjaiants
	Added the 'org.eclipse.cdt.debug.mi.internal.ui.dialogfields' package.
	* CheckedListDialogField.java: new
	* ComboDialogField.java: new
	* DialogField.java: new
	* IDialogFieldListener.java: new
	* IListAdapter.java: new
	* IStringButtonAdapter.java: new
	* LayoutUtil.java: new
	* ListDialogField.java: new
	* SelectionButtonDialogField.java: new
	* SelectionButtonDialogFieldGroup.java: new
	* Separator.java: new
	* StringButtonDialogField.java: new
	* StringButtonStatusDialogField.java: new
	* StringDialogField.java: new

2003-09-09 Mikhail Khodjaiants
	New UI for the 'Debugger' page of launch configuration.
	* CygwinDebuggerPage.java
	* GDBDebuggerPage.java
	* GDBSolibBlock.java
	
2003-04-07 Mikhail Khodjaiants
	Replaced 'toString()' by 'getMessage()' for CDI exceptions.
	* SetAutoSolibActionDelegate.java

2004-04-04 Alain Magloire

	Code from Monta Vista to do a GDBServer launch.
	The GDBServer launch page.
	
	* src/org/eclipse/cdt/debug/mi/internal/ui/GDBServerDebuggerPager.java:
	* plugin.xml

2003-03-26 Mikhail Khodjaiants
	Cosmetic changes in the 'MIPreferencePage' class.
	* MIPreferencePage.java

2003-02-12 Mikhail Khodjaiants
	Changes in the 'Automatically Load Symbols' action because of the removal of the 
	'setAutoSolib' method from ICDISharedLibraryManager.
	* SetAutoSolibActionDelegate.java
	* plugin.xml
 
2003-02-11 Mikhail Khodjaiants
	The 'Automatically Load Symbols' action is added to the 'Shared Libraries' view.
	* SetAutoSolibActionDelegate.java: new
	* plugin.properties
	* plugin.xml
	* icons/full/clcl16/auto_solib_co.gif: new
	* icons/full/dlcl16/auto_solib_co.gif: new
	* icons/full/elcl16/auto_solib_co.gif: new

2003-02-11 Mikhail Khodjaiants
	New package 'org.eclipse.cdt.debug.mi.internal.ui.actions' is added.

2003-02-06 Alain Magloire

	* src/.../internal/ui/CygwinDebuggerPage.java (updateLaunchConfigurationDialog):
	New method to increase visibility for inner classes.
	(getShell): New method to increase visibility for inner classes.
	(fGDBCommandText): Change scope to protected.
	(fGDBInitText) Change scope to protected.
	* src/.../internal/ui/GDBDebuggerPage.java: Ditto.

2003-01-24 David Inglis

	* src/.../internal/ui/CDebuggerPage.java (removed)
	* src/.../internal/ui/GDBDebuggerPage.java (added)
	rename class plus small layout fix.

	* plugin.xml
	* src/.../internal/ui/CygwinDebuggerPage.java (added)
	make Cywin use its own debug page and remove the auto load solib option.

2003-01-17 David Inglis
	* src/.../internal/ui/CDebuggerPage.java
	Added some browse buttons and new text field for gdbinit file.
	
2003-01-03 Alain Magloire

	* build.properties: Patch from Judy Green.

2003-01-03 Alain Magloire

	* src/org/eclipse./cdt/debug/mi/internal/ui/CDebuggerPage.java (setDefaults):
	Set autosolib  to true by default.

2002-11-26 Doug Schaefer

	* plugin.xml:
	Added new debugPage for Cygwin GDB.
